Subject: "Value ‘1’ does not match type boolean" should mention which variable

From: "R. Diez" <[email-masked]>
Date: Tue, 16 Sep 2025 08:30:22 +0200

Hi all:

I recently upgraded from Emacs 29 to 30, and I got the following warning in the *Warnings* buffer:

Warning (emacs): Value ‘1’ does not match type boolean

I am no Lisp expert, but I still have accumulated a biggish configuration over the years, so it took me a while to find the culprit:

(setopt inhibit-startup-screen 1)

I then changed '1' to 't', and the problem went away.

The trouble is, I lost quite a lot of time to this trivial matter. I am thinking that other people could encounter the same issue and lose time too.

Could you mention the variable name in the error message? Like this:

Warning (emacs): When setting variable ‘whatever-variable’: Value ‘1’ does not match type boolean

In my software, I normally do a try/catch to add such a prefix, so no matter what error is raised, the culprit is always mentioned.

Regards,
   rdiez